Page MenuHomePhabricator

Advanced Search: Namespace selection not intuitive
Closed, ResolvedPublic

Description

Several people mentioned that they did not or only after longer time understand that you have to click into the namespace-field to get the menu to choose namespaces.
They thought, that it is necessary to click on 'all' and then remove all namespaces not wanted.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptDec 4 2017, 10:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Could be resolved by T177928 which is currently on the plate of the OOUI folks.

Agreed. I would wait for T177928 to be resolved before further investigating this. I'm fairly certain it should solve the issue.

This is what the original mock looked like. For now we could also add the placeholder until the arrow is ready.

Using this TagMultiselectWidget (allowArbitrary, inline input, placeholder) widget, so that the placeholder doesn't get removed when a namespace has been entered like so

Lea_WMDE triaged this task as Medium priority.Dec 13 2017, 11:42 AM

To match a uniform text style we should change the placeholder text to Add namespaces

See this ticket T181296 (I have not updated it yet --14.12.)

Change 398245 had a related patch set uploaded (by Tobias Gritschacher; owner: Tobias Gritschacher):
[mediawiki/extensions/AdvancedSearch@master] Adding placeholder text to namespace selection field

https://gerrit.wikimedia.org/r/398245

Change 398251 had a related patch set uploaded (by Tobias Gritschacher; owner: Tobias Gritschacher):
[mediawiki/extensions/AdvancedSearch@master] Add dropdown indicator to namespace selection field

https://gerrit.wikimedia.org/r/398251

Change 398245 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Adding placeholder text to namespace selection field

https://gerrit.wikimedia.org/r/398245

Change 398251 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add dropdown indicator to namespace selection field

https://gerrit.wikimedia.org/r/398251

Tobi_WMDE_SW closed this task as Resolved.Jan 9 2018, 12:50 PM
Tobi_WMDE_SW claimed this task.
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-Technical-Wishes-Team board.